pydo.vpc_subnets.update()
Generated on 1 Oct 2026
from pydo version
v0.43.0
Usage
client.vpc_subnets.update(
vpc_uuid="997615ce-132d-4bae-9270-9ee21b395e5d",
subnet_uuid="4de7ac8b-495b-4884-9a69-1050c6793cd6",
body={
"name": "renamed-subnet",
},
)Description
To update the name of a specific subnet within a VPC, send a PATCH request
to /v2/vpcs/{vpc_uuid}/subnets/{subnet_uuid}.
Parameters
vpc_uuidstring requiredThe unique identifier of the VPC to which the subnet belongs.
subnet_uuidstring requiredThe unique identifier of a VPC subnet.
namestring requiredExample:
renamed-subnetThe new human-readable name of the VPC subnet.
Request Sample
Response Example
More Information
See /v2/vpcs/{vpc_uuid}/subnets/{subnet_uuid} in the API reference for additional detail on responses, headers, parameters, and more.